Subject: 4 star applicant - Naukri.com -Walk-in For Senior SEO Executive / SEO Manager, Digital Marketing Executive, KARTA E-SERVICES PRIVATE LIMITED, 7 years 0 months, Delhi, 3.60
From: Balvir Singh Goshain <[email-masked]>
To: [email-masked]
Date: Thu, 8 Aug 2019 11:32:31 +0530

Not able to view Details? Learn More

Job Title
Walk-in For Senior SEO Executive / SEO Manager

72 Applicants

View All

Balvir Singh Goshain

(4/5)

I have a passion for Digital Marketing and enhancing my knowledge since 2011. Recently working as a SEO Executive with Archo Classes. I want to grow up in this digital marketing era. In my 5+ years of experience in Internet marketing industry, I have learned lots of from the companies I have worked on. My online background includes: Client Handling Team Leading Project Management Business Management Search Engines Optimization (SEO) - SEO Site Audit - SEO Reporting - On & Off Page Optimization - Competitor Analysis - Keyword Research - GWT and Google Analytics Reporting - Content Optimization Social Media Optimization (SMO) - Building Social Media Strategy - Social Reporting - Website Social Optimization - Fan Page Management - Social Engagement Link Building - Bringing out new link building techniques and implementing them on the platform - Getting High Authoritative Links for the project
View Attached CV

Key Skills SEO ,SMO ,Google Webmaster Tools,Google Analytics,Online Marketing,Google Adwords,Keyword Research

Exp
7 years 0 months

CTC
3.60

Location
Delhi

Not Able to View Details? Learn More

Shortlist

Reject

Current Designation Digital Marketing Executive
Current Company KARTA E-SERVICES PRIVATE LIMITED
Notice Period 1 Months
Previous Designation Senior SEO Executive

Contact Details
Mobile: 8826976009
Landline: Not Specified

Prefers Delhi
Education
Post Graduation Institute Not Mentioned
BCA
Kumaun University

Do you find this applicant relevant ? | YES | NO

Screen candidates easily using Questionnaire
Candidate while applying will answer the questions added in Questionnaire
Attach Questionnaire

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem